<div [attr.aria-label]="status | eventStatusText" class="status-content">
  <lib-general-icon
    [isFilled]="true"
    [name]="status === eventStatus.cancelled ? 'do_not_disturb_on' : 'info'"
    [size]="iconFontSize.smallMedium"
    [style.color]="(status | eventStatusStyles)?.color"
    [type]="iconType.materialSymbolsOutlined"
    class="status-icon"
  ></lib-general-icon>
  <span [style.color]="(status | eventStatusStyles)?.color" class="status-text">
    {{ status | eventStatusText }}
  </span>
</div>
